var token = $.cookie("token");
var id = helper.request.queryString("ids");
var CallID = helper.request.queryString("CallID");
var cusid;
$(document).ready(function() {
    if(id) {
        getRegisterDetail()
    } else if (CallID) {
        getRegisterDetailByCallId()
    }
})

//通过id获取登记详情
function getRegisterDetail() {
    $.get(huayi.config.callcenter_url + 'RegRecords/GetDetails', {
        id: id,
        "token": $.cookie("token")
    }, function(result) {
        result = $.parseJSON(result);
        if(result.state.toLowerCase() == "success") {
            var con = result.data.model;
            var conCus = result.data.cusmodel
            $("#detailRegisterCode").text(con.F_RecCode)
            $("#detailType").text(formatterRegisterType(con.F_Type)); //登记类型
            $("#detailName").text(conCus.F_Name); //姓名
            $("#detailPhone").text(conCus.F_Phone); //电话
            $("#detailSex").text(conCus.F_Sex); //性别
            $("#detailProvince").text(conCus.F_Province); //省
            $("#detailCity").text(conCus.F_City); //市
            $("#detailCounty").text(conCus.F_County); //县/区
            $("#detailAddress").text(conCus.F_Address); //详细地址
            $("#detailComplained").text(con.F_Complained); //被投诉单位
            $("#detailContent").text(con.F_Content); //登记内容/投诉事项
            $("#detailRemark").text(con.F_Remark); //备注
            $("#detailCreateBy").text(con.F_CreateBy); //登记人
            $("#detailCreateOn").text(con.F_CreateOn); //登记时间
        }
    })
}

//通过callid获取详情
function getRegisterDetailByCallId() {
    $.get(huayi.config.callcenter_url + 'RegRecords/GetCallidDetails', {
        callid: CallID,
        "token": $.cookie("token")
    }, function(result) {
        result = $.parseJSON(result);
        if(result.state.toLowerCase() == "success") {
            var con = result.data.model;
            var conCus = result.data.cusmodel
            $("#detailRegisterCode").text(con.F_RecCode)
            $("#detailType").text(formatterRegisterType(con.F_Type)); //登记类型
            $("#detailName").text(conCus.F_Name); //姓名
            $("#detailPhone").text(conCus.F_Phone); //电话
            $("#detailSex").text(conCus.F_Sex); //性别
            $("#detailProvince").text(conCus.F_Province); //省
            $("#detailCity").text(conCus.F_City); //市
            $("#detailCounty").text(conCus.F_County); //县/区
            $("#detailAddress").text(conCus.F_Address); //详细地址
            $("#detailComplained").text(con.F_Complained); //被投诉单位
            $("#detailContent").text(con.F_Content); //登记内容/投诉事项
            $("#detailRemark").text(con.F_Remark); //备注
            $("#detailCreateBy").text(con.F_CreateBy); //登记人
            $("#detailCreateOn").text(con.F_CreateOn); //登记时间
        }
    })
}

//登记类型
function formatterRegisterType(val) {
    var formatterRegisterTypeArr = ["", "咨询", "投诉", "求助", "其他"]
    return formatterRegisterTypeArr[val]
}

